Overview | Package | Class | Use | Tree | Deprecated | Index | Help
|  | BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## Type-Safe Access to BEA WebLogic Server 9.0 MBeans (Deprecated)

## weblogic.management
Class ApplicationException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              weblogic.utils.NestedException
                  weblogic.management.ApplicationException

All Implemented Interfaces:
  weblogic.utils.NestedThrowable, Serializable

Direct Known Subclasses:
  InvalidRedeployRequestException

public class ApplicationException
extends weblogic.utils.NestedException

See Also:
  `ApplicationContainer`, Serialized Form

  Copyright © 2005 BEA Systems, Inc. All Rights Reserved.

Nested Class Summary

Nested classes inherited from class weblogic.utils.NestedThrowable
`weblogic.utils.NestedThrowable.Util`

Field Summary

Fields inherited from class weblogic.utils.NestedException
`nested`

Constructor Summary
`ApplicationException(Exception e)`
`ApplicationException(String msg, Throwable nested)`

Method Summary
`String` | `getApplicationMessage()` This is for the purpose of remote clients who get this exception.
`Hashtable` | `getModuleErrors()`
`Exception` | `getTargetException(String moduleName)`

Methods inherited from class weblogic.utils.NestedException
`getMessage, getNested, getNestedException, printStackTrace, printStackTrace, printStackTrace, superPrintStackTrace, superPrintStackTrace, superToString`

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getStackTrace, initCause, setStackTrace`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### ApplicationException

    public ApplicationException(Exception e)

### ApplicationException

    public ApplicationException(String msg,
                                Throwable nested)

Method Detail

### getApplicationMessage

    public String getApplicationMessage()

  This is for the purpose of remote clients who get this exception. It contains the text from getMessage() of the server exception, without the stacktrace which RMI adds when Server.InstrumentStackTraceEnabled is true. (When it is false, getMessage() on client side returns nothing.) This method can be used to get just the getMessage() text, in any case.

### getModuleErrors

    public Hashtable getModuleErrors()

### getTargetException

    public Exception getTargetException(String moduleName)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Documentation is available at http://e-docs.bea.com/wls/docs90 Copyright 2005 BEA Systems Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD